#pragma once
#include "ThreadJob.h"
#include "define.h"						// パケット作成のため

#define	CMD_BUFF_SIZE	(1024 * 64)		// ファイル送信コマンド格納リングバッファのサイズ

class CMySyncObject;					// CMySyncObjectを使うため
class CSendRecvThread;					// CSendRecvThreadを使うため
class CRingBuff;						// CRingBuffを使うため

class CChatMsgThread :
	public CThreadJob
{
public:
	CChatMsgThread(CSendRecvThread *pCSendRecvThread);
	~CChatMsgThread();

	CRingBuff	*m_pCRingBuffCmd;					// コマンド格納リングバッファ

	UINT DoWork() override;
	BOOL IsZombie();								// このスレッドはゾンビ状態か
	BOOL SendMessagePacket(char *pcData, int iSize);

private:
	CSendRecvThread	*m_pCSendRecvThread;
	CMySyncObject 	*m_pCMySyncObject;
	BOOL			m_fIamZombie;					// ゾンビ状態か

	int AnalyzeCmd();
	int RecvMessagePacket(MsgDataRec *pbPacket);
};

